/**
 * 
 */
package kr.co.kihyun.beans.entity;

import javax.jdo.annotations.*;

/**
 * @author bhs
 * 
 */
@PersistenceCapable(identityType = IdentityType.APPLICATION)
@Inheritance(strategy = InheritanceStrategy.SUBCLASS_TABLE)
public abstract class StringEntity extends MoumiEntity<String> {
	/**
	 * 
	 */
	private static final long serialVersionUID = -201108159637355290L;

	@PrimaryKey
	protected String id;

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

}
